	.386
	.model	use32 small


	extrn exp2 : proc, allerr : PROC, negerr : proc
	public	_pow
	.data

nm	db	"pow",0

	.code


_pow:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+16]
	fld1
	fld	qword ptr [ecx]
	fyl2x
	fld	qword ptr [edx]
	call	exp2
	fldz
	fld	qword ptr [ecx]
	fcompp
	fnstsw	ax
	fwait
	sahf
	jnc	notneg
	fld	qword ptr [edx]
	lea	eax,[nm]
	call	negerr
notneg:
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end